code
stringlengths
1
1.96M
language
stringclasses
1 value
#!/bin/bash -e echo "Installing build dependencies..." sudo dpkg --add-architecture i386 sudo apt-get update sudo apt-get install -y g++ clang make buildbot subversion git vim zip libstdc++6:i386 binutils-dev binutils-gold echo "Installing tmpreaper..." sudo apt-get install tmpreaper -y sudo sed -i "s/SHOWWARNING=tru...
Shell
#!/bin/sh # --------- Settings block ---- LIBRARIES=(libdbus-1-3 libgdk-pixbuf2.0-0 libdbus-glib-1-2 libatk1.0-0 libgconf-2-4 libgtk2.0-0 libpng12-0 libpango1.0-0 libfreetype6 libudev0 libx11-6 zlib1g libcairo2 libxau6 libxrandr2 libxss1 libxext6 libxi6 libxtst6 libexpat1 libffi6 ...
Shell
#!/bin/sh # --------- Settings block ---- LIBRARIES=(libdbus-1-3 libgdk-pixbuf2.0-0 libdbus-glib-1-2 libatk1.0-0 libgconf-2-4 libgtk2.0-0 libpng12-0 libpango1.0-0 libfreetype6 libudev0 libx11-6 zlib1g libcairo2 libxau6 libxrandr2 libxss1 libxext6 libxi6 libxtst6 libexpat1 libffi6 ...
Shell
#!/bin/bash set -x set -u configure_args=( --prefix=/usr --enable-add-ons "$@" ) nproc=$(getconf _NPROCESSORS_ONLN) root_dir=$(pwd) src_dir="${root_dir}/glibc" build_dir="${root_dir}/build" num_jobs_build=$nproc # Some make bug makes it often wedge in parallel mode. num_jobs_check=1 clobber=false start_ste...
Shell
#!/bin/bash set -x set -u configure_args=( --prefix=/usr --enable-add-ons "$@" ) nproc=$(getconf _NPROCESSORS_ONLN) root_dir=$(pwd) src_dir="${root_dir}/glibc" build_dir="${root_dir}/build" num_jobs_build=$nproc # Some make bug makes it often wedge in parallel mode. num_jobs_check=1 clobber=false start_ste...
Shell
#!/bin/bash set -e LLVM=$1 if [ "z$LLVM_BIN" == "z" ]; then echo "Please set \$LLVM_BIN to the location of msan-enabled 'clang' binary." exit 1 fi CLANG=$LLVM_BIN/clang CLANGXX=$LLVM_BIN/clang++ ARFLAGS="--plugin ${LLVM_BIN}/../lib/LLVMgold.so" LIBCXXABI=$LLVM/projects/libcxxabi LIBCXX=$LLVM/projects/libcxx G...
Shell
#!/bin/bash -exu # Script to produce perfect, entirely self-contained symbolization library # from libc++ and LLVM sources (and zlib, too). It internalizes symbols in these libs, # so that this library may be linked into arbitrary programs and be invoked # by Sanitizer runtime libraries to symbolize code/data in-proce...
Shell
#!/bin/bash -exu # Script to produce perfect, entirely self-contained symbolization library # from libc++ and LLVM sources (and zlib, too). It internalizes symbols in these libs, # so that this library may be linked into arbitrary programs and be invoked # by Sanitizer runtime libraries to symbolize code/data in-proce...
Shell
#!/bin/bash set -e LLVM=$1 if [ "z$LLVM_BIN" == "z" ]; then echo "Please set \$LLVM_BIN to the location of msan-enabled 'clang' binary." exit 1 fi CLANG=$LLVM_BIN/clang CLANGXX=$LLVM_BIN/clang++ ARFLAGS="--plugin ${LLVM_BIN}/../lib/LLVMgold.so" LIBCXXABI=$LLVM/projects/libcxxabi LIBCXX=$LLVM/projects/libcxx G...
Shell
#!/bin/bash # This scripts builds a self-contained executable file for Dr.ASan. # Usage: # ./make-self-contained-drasan.sh path/to/dynamorio/exports resulting_binary # Take the DynamoRIO installation from here: IN_DIR="$1" # Put the result here: OUT="$2" set -e rm -f $OUT && touch $OUT && chmod +x $OUT # Create th...
Shell
#!/bin/bash DIR=$(dirname $0) $DIR/bin64/drrun -disable_traces -c $DIR/libdr_asan.so $@
Shell
#!/bin/bash DIR=$(dirname $0) $DIR/bin64/drrun -disable_traces -c $DIR/libdr_asan.so $@
Shell
#!/bin/bash # This scripts builds a self-contained executable file for Dr.ASan. # Usage: # ./make-self-contained-drasan.sh path/to/dynamorio/exports resulting_binary # Take the DynamoRIO installation from here: IN_DIR="$1" # Put the result here: OUT="$2" set -e rm -f $OUT && touch $OUT && chmod +x $OUT # Create th...
Shell
#!/bin/bash # Create a minimal Debian-wheezy distributive as a directory set -eux mkdir -p wheezy sudo rm -rf wheezy/* sudo debootstrap --include=openssh-server wheezy wheezy # Enable promtless ssh to the machine for root with RSA keys sudo sed -i '/^root/ { s/:x:/::/ }' wheezy/etc/passwd echo 'V0:23:respawn:/sbin/g...
Shell
#!/bin/bash sudo apt-get install python-pip sudo pip install virtualenv virtualenv --no-site-packages sandbox source ./sandbox/bin/activate easy_install buildbot-slave master_host_port=dmitryc-z620.msk:9990 buildslave create-slave slave $master_host_port kasan-slave kasan buildslave start slave deactivate
Shell
#!/bin/bash # Create a minimal Debian-wheezy distributive as a directory set -eux mkdir -p wheezy sudo rm -rf wheezy/* sudo debootstrap --include=openssh-server wheezy wheezy # Enable promtless ssh to the machine for root with RSA keys sudo sed -i '/^root/ { s/:x:/::/ }' wheezy/etc/passwd echo 'V0:23:respawn:/sbin/g...
Shell
#!/bin/bash sudo apt-get install kvm qemu-kvm
Shell
#!/bin/bash set -eux rm -rf gcc* curl -o gcc-4.9.2.tar.bz2 http://mirrors-ru.go-parts.com/gcc/releases/gcc-4.9.2/gcc-4.9.2.tar.bz2 tar -xf gcc-4.9.2.tar.bz2 mkdir -p gcc_build cd gcc_build ../gcc-4.9.2/configure --disable-multilib --disable-bootstrap --enable-languages=c,c++ --prefix=${PWD}/../gcc_install make -j...
Shell
#!/bin/bash sudo apt-get install python-pip sudo pip install virtualenv virtualenv --no-site-packages sandbox source ./sandbox/bin/activate easy_install buildbot buildbot create-master master buildbot start master deactivate
Shell
#!/bin/bash sudo apt-get install python-pip sudo pip install virtualenv virtualenv --no-site-packages sandbox source ./sandbox/bin/activate easy_install buildbot-slave master_host_port=dmitryc-z620.msk:9990 buildslave create-slave slave $master_host_port kasan-slave kasan buildslave start slave deactivate
Shell
#!/bin/bash set -eux echo @@@BUILD_STEP Make Kernel@@@ echo #make clean make defconfig make kvmconfig cat ../add_config >> .config make LOCALVERSION=-asan CC=../../../gcc_install/bin/gcc -j64 mkdir -p mod_install rm -rf mod_install/* INSTALL_MOD_PATH=mod_install make modules_install LOCALVERSION=-asan CC=../../.....
Shell
#!/bin/bash set -eux echo @@@BUILD_STEP Make Kernel@@@ echo #make clean make defconfig make kvmconfig cat ../add_config >> .config make LOCALVERSION=-asan CC=../../../gcc_install/bin/gcc -j64 mkdir -p mod_install rm -rf mod_install/* INSTALL_MOD_PATH=mod_install make modules_install LOCALVERSION=-asan CC=../../.....
Shell
#!/bin/bash set -eux echo @@@BUILD_STEP Make Kernel@@@ echo #make clean make defconfig make kvmconfig cat ../add_config >> .config make LOCALVERSION=-asan CC=../../../gcc_install/bin/gcc -j64 mkdir -p mod_install rm -rf mod_install/* INSTALL_MOD_PATH=mod_install make modules_install LOCALVERSION=-asan CC=../../.....
Shell
#!/bin/bash set -eux echo @@@BUILD_STEP Make Kernel@@@ echo #make clean make defconfig make kvmconfig cat ../add_config >> .config make LOCALVERSION=-asan CC=../../../gcc_install/bin/gcc -j64 mkdir -p mod_install rm -rf mod_install/* INSTALL_MOD_PATH=mod_install make modules_install LOCALVERSION=-asan CC=../../.....
Shell
#!/bin/bash sudo apt-get install kvm qemu-kvm
Shell
#!/bin/bash set -eux rm -rf gcc* curl -o gcc-4.9.2.tar.bz2 http://mirrors-ru.go-parts.com/gcc/releases/gcc-4.9.2/gcc-4.9.2.tar.bz2 tar -xf gcc-4.9.2.tar.bz2 mkdir -p gcc_build cd gcc_build ../gcc-4.9.2/configure --disable-multilib --disable-bootstrap --enable-languages=c,c++ --prefix=${PWD}/../gcc_install make -j...
Shell
#!/bin/bash sudo apt-get install python-pip sudo pip install virtualenv virtualenv --no-site-packages sandbox source ./sandbox/bin/activate easy_install buildbot buildbot create-master master buildbot start master deactivate
Shell
#!/bin/bash # Simple script to run CPU2006 with AddressSanitizer. # Make sure to use spec version 1.2 (SPEC_CPU2006v1.2). # Run this script like this: # $./run_spec_clang_asan.sh TAG size benchmarks... # TAG is any word. If you use different TAGS you can runs several builds in # parallel. # size can be test, train or ...
Shell
#!/bin/bash # Simple script to run CPU2006 with AddressSanitizer. # Make sure to use spec version 1.2 (SPEC_CPU2006v1.2). # Run this script like this: # $./run_spec_clang_asan.sh TAG [test|train|ref] benchmarks # TAG is any word. If you use different TAGS you can runs several builds in # parallel. # test is a small da...
Shell
#!/bin/bash MODE=$1 ID=$2 SIZE=${3:-ref} VALGRIND=$HOME/valgrind-inst/bin/valgrind CLANG=$HOME/build/llvm/build/bin/clang EXTRA_CFLAGS= WRAPPER= if [[ $MODE == clang ]]; then EXTRA_CFLAGS= elif [[ $MODE == msan ]]; then EXTRA_CFLAGS="-fsanitize=memory -Wl,-rpath,$HOME/libstdc++-msan" elif [[ $MODE == msan-ori...
Shell
#!/bin/bash # Simple script to run CPU2006 with AddressSanitizer. # Make sure to use spec version 1.2 (SPEC_CPU2006v1.2). # Run this script like this: # $./run_spec_clang_asan.sh TAG [test|train|ref] benchmarks # TAG is any word. If you use different TAGS you can runs several builds in # parallel. # test is a small da...
Shell
#!/bin/bash MODE=$1 ID=$2 SIZE=${3:-ref} VALGRIND=$HOME/valgrind-inst/bin/valgrind CLANG=$HOME/build/llvm/build/bin/clang EXTRA_CFLAGS= WRAPPER= if [[ $MODE == clang ]]; then EXTRA_CFLAGS= elif [[ $MODE == msan ]]; then EXTRA_CFLAGS="-fsanitize=memory -Wl,-rpath,$HOME/libstdc++-msan" elif [[ $MODE == msan-ori...
Shell
#!/bin/bash # Hackish script to run CPU2006 with AddressSanitizer. # Make sure to use spec version 1.2 (SPEC_CPU2006v1.2). # Run this script like this: # $ krun TAG [test|train|ref] benchmarks # TAG is any word. If you use different TAGS you can runs several builds in # parallel. # test is a small data set, train is m...
Shell
#!/bin/bash # Simple script to run CPU2006 with AddressSanitizer. # Make sure to use spec version 1.2 (SPEC_CPU2006v1.2). # Run this script like this: # $./run_spec_clang_asan.sh TAG size benchmarks... # TAG is any word. If you use different TAGS you can runs several builds in # parallel. # size can be test, train or ...
Shell
#!/bin/bash # Hackish script to run CPU2006 with AddressSanitizer. # Make sure to use spec version 1.2 (SPEC_CPU2006v1.2). # Run this script like this: # $ krun TAG [test|train|ref] benchmarks # TAG is any word. If you use different TAGS you can runs several builds in # parallel. # test is a small data set, train is m...
Shell
rm -rf chromium_libs && mkdir chromium_libs cd asan-inst/lib64 cp libcrypt.so.* libc.so.* libresolv.so.* librt.so.* ../../chromium_libs cd ../../chromium_libs rm ../asan-glibc.zip zip ../asan-glibc.zip * cd ..
Shell
#!/bin/bash HERE=$(pwd) J=${J:-32} GLIBC=$HERE/glibc-2.19 PLAIN_BUILD=$HERE/plain-build PLAIN_INST=$HERE/plain-inst ASAN_BUILD=$HERE/asan-build ASAN_INST=$HERE/asan-inst ASAN_LIBS=$HERE/asan-libs PATH=$HOME/toolchains/gcc-trunk/bin:$PATH # Debian configure_flags="--prefix=/usr --without-cvs --enable-add-ons=libidn,npt...
Shell
#!/bin/bash HERE=$(pwd) J=${J:-32} GLIBC=$HERE/glibc-2.19 PLAIN_BUILD=$HERE/plain-build PLAIN_INST=$HERE/plain-inst ASAN_BUILD=$HERE/asan-build ASAN_INST=$HERE/asan-inst ASAN_LIBS=$HERE/asan-libs PATH=$HOME/toolchains/gcc-trunk/bin:$PATH # Debian configure_flags="--prefix=/usr --without-cvs --enable-add-ons=libidn,npt...
Shell
#!/bin/bash set -e # fail on any error OS=`uname` CXX=$1 CC=$2 FILE_CHECK=$3 CXXFLAGS="-mno-omit-leaf-frame-pointer -fno-omit-frame-pointer -fno-optimize-sibling-calls" SYMBOLIZER=../scripts/asan_symbolize.py TMP_ASAN_REPORT=asan_report.tmp run_program() { ./$1 2>&1 | $SYMBOLIZER 2> /dev/null | c++filt > $TMP_ASAN...
Shell
#!/bin/bash CLANG_BIN=${CLANG_BIN:-$ANDROID_HOST_OUT/bin} $CLANG_BIN/clang \ -target arm-linux-androideabi \ -ccc-gcc-name arm-linux-androideabi-g++ \ -mllvm -arm-enable-ehabi \ -D__compiler_offsetof=__builtin_offsetof \ -Dnan=__builtin_nan \ "$@" \ -B$ANDROID_EABI_TOOLCHAIN/../arm-linux-a...
Shell
#!/bin/bash CLANG_BIN=${CLANG_BIN:-$ANDROID_HOST_OUT/bin} $CLANG_BIN/clang "$@" -lstdc++ -lm
Shell
#!/bin/bash CLANG_BIN=${CLANG_BIN:-$ANDROID_HOST_OUT/bin} $CLANG_BIN/clang "$@" -lstdc++ -lm
Shell
#!/bin/bash #name of jar package JARNAME=test.jar MF=mainfest #path to jar, #JAR="/usr/lib64/jvm/java-1.5.0-sun/bin/jar" JAR=`which jar` if [ -f $MF ] then rm $MF fi #create mainfest echo "Main-Class: test.MyApplet" >> $MF echo "---deleting old yar" rm $JARNAME echo "---creating new jar" $JAR cmf $MF $JARNAME \...
Shell
#!/bin/bash #name of jar package JARNAME=test.jar MF=mainfest #path to jar, #JAR="/usr/lib64/jvm/java-1.5.0-sun/bin/jar" JAR=`which jar` if [ -f $MF ] then rm $MF fi #create mainfest echo "Main-Class: test.MyApplet" >> $MF echo "---deleting old yar" rm $JARNAME echo "---creating new jar" $JAR cmf $MF $JARNAME \...
Shell
#!/bin/bash openbox & /usr/bin/google-chrome "$@" kill %1
Shell
#!/bin/bash openbox & /usr/bin/google-chrome "$@" kill %1
Shell
#!/bin/sh print_error () { local ERROR_MESSAGE="$1" local ERROR_CODE="$2" echo "$ERROR_MESSAGE" 1>&2 if [ $ERROR_CODE ] then EXIT_CODE=$ERROR_CODE else EXIT_CODE=1 fi } ERROR_WRAPPER_OPENED=false print_error_wrapper () { if $ERROR_WRAPPER_OPENED; then ERROR_WRAPPER_OPENED=fa...
Shell
#!/bin/sh print_error () { local ERROR_MESSAGE="$1" local ERROR_CODE="$2" echo "$ERROR_MESSAGE" 1>&2 if [ $ERROR_CODE ] then EXIT_CODE=$ERROR_CODE else EXIT_CODE=1 fi } ERROR_WRAPPER_OPENED=false print_error_wrapper () { if $ERROR_WRAPPER_OPENED; then ERROR_WRAPPER_OPENED=fa...
Shell
#!/bin/sh print_error () { local ERROR_MESSAGE="$1" local ERROR_CODE="$2" echo "$ERROR_MESSAGE" 1>&2 if [ $ERROR_CODE ] then EXIT_CODE=$ERROR_CODE else EXIT_CODE=1 fi } ERROR_WRAPPER_OPENED=false print_error_wrapper () { if $ERROR_WRAPPER_OPENED; then ERROR_WRAPPER_OPENED=fa...
Shell
#!/bin/sh print_error () { local ERROR_MESSAGE="$1" local ERROR_CODE="$2" echo "$ERROR_MESSAGE" 1>&2 if [ $ERROR_CODE ] then EXIT_CODE=$ERROR_CODE else EXIT_CODE=1 fi } ERROR_WRAPPER_OPENED=false print_error_wrapper () { if $ERROR_WRAPPER_OPENED; then ERROR_WRAPPER_OPENED=fa...
Shell
#!/bin/sh print_error () { local ERROR_MESSAGE="$1" local ERROR_CODE="$2" echo "$ERROR_MESSAGE" 1>&2 if [ $ERROR_CODE ] then EXIT_CODE=$ERROR_CODE else EXIT_CODE=1 fi } ERROR_WRAPPER_OPENED=false print_error_wrapper () { if $ERROR_WRAPPER_OPENED; then ERROR_WRAPPER_OPENED=false ...
Shell
#!/bin/sh exit 1
Shell
#!/bin/sh exit 1
Shell
#!/bin/sh print_error () { local ERROR_MESSAGE="$1" local ERROR_CODE="$2" echo "$ERROR_MESSAGE" 1>&2 if [ $ERROR_CODE ] then EXIT_CODE=$ERROR_CODE else EXIT_CODE=1 fi } ERROR_WRAPPER_OPENED=false print_error_wrapper () { if $ERROR_WRAPPER_OPENED; then ERROR_WRAPPER_OPENED=false ...
Shell
#!/bin/sh # Script to generate png icons in different resolutions from svg sources. # Copyright (C) 2012 Denis Nelubin # # This program is free software: you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation, either versio...
Shell
# adjust paths below and then run # . ./android-gcc-setup.sh # to setup build environment export NDK=$HOME/fun/android/android-ndk HOST_TYPE=darwin-x86 ANDROID_VERSION=3 LIBDIR=$NDK/build/platforms/android-$ANDROID_VERSION/arch-arm/usr/lib export CFLAGS="-march=armv5te -mtune=xscale" export CC=$NDK/toolchains/arm-ea...
Shell
#!/bin/sh SCRIPTDIR=`dirname $0` . $SCRIPTDIR/android-gcc-setup.sh cd $SCRIPTDIR/.. if [ ! -d "deps" ] then mkdir -p deps fi cd deps DEPSDIR=$PWD JNIDIR=$DEPSDIR/../jni if [ ! -d "$JNIDIR/pdfview2/lib" ] then mkdir -p $JNIDIR/pdfview2/lib fi if [ ! -d "$JNIDIR/pdfview2/include" ] then mkdir -p $JNIDIR/pd...
Shell
#! /usr/bin/env sh """ Adelide - A virtual media bookshelf. Copyright (C) Niklas Johansson jonikl@ituniv.se, Anne-Katrin Krolovitsch This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundatio...
Shell
#! /usr/bin/env sh """ Adelide - A virtual media bookshelf. Copyright (C) Niklas Johansson jonikl@ituniv.se, Anne-Katrin Krolovitsch This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundatio...
Shell
#!/bin/bash # Run this from the terminal inside a drupal root folder # i.e. DRUPAL_ROOT_DIR/sites/all/modules/contrib/ctools/tests/ctools.drush.sh function stamp { echo ============== echo timestamp : `date` echo ============== } DRUPAL_ROOT=`drush dd` MODULE_DIR="$DRUPAL_ROOT/sites/all/modules" MODULE_NAME="c...
Shell
#!/usr/bin/env sh # This script will run phpunit-based test classes using Drush's # test framework. First, the Drush executable is located, and # then phpunit is invoked, passing in drush_testcase.inc as # the bootstrap file. # # Any parameters that may be passed to phpunit may also be used # with runtests.sh. DRUSH...
Shell
#!/usr/bin/env bash # Copyright (c) 2003-2013, CKSource - Frederico Knabben. All rights reserved. # For licensing, see LICENSE.html or http://ckeditor.com/license # Use this file to quickly run the sample under Linux. adl application.xml ../../
Shell
#!/bin/sh curl --silent --compressed http://example.com/cron.php
Shell
#!/bin/sh /usr/bin/lynx -source http://example.com/cron.php > /dev/null 2>&1
Shell
#!/bin/sh find . -name "*~" -type f | xargs rm -f find . -name ".#*" -type f | xargs rm -f find . -name "*.rej" -type f | xargs rm -f find . -name "*.orig" -type f | xargs rm -f find . -name "DEADJOE" -type f | xargs rm -f find . -type f | grep -v ".psp" | grep -v ".gif" | grep -v ".jpg" | grep -v ".png" | grep -v ".t...
Shell
<?php /** * @file * This script runs Drupal tests from command line. */ define('SIMPLETEST_SCRIPT_COLOR_PASS', 32); // Green. define('SIMPLETEST_SCRIPT_COLOR_FAIL', 31); // Red. define('SIMPLETEST_SCRIPT_COLOR_EXCEPTION', 33); // Brown. // Set defaults and get overrides. list($args, $count) = simpletest_script_par...
Shell
#!/bin/sh # This formats all the SQL files in the specified directory so that # they can be executed by psql. There are two modes -- a 'testing' # mode (the default mode -- this strips out all the "commit" statements) # and a commit mode for deployment. You need to pipe the output of this # script into sqlplus, for ex...
Shell
#!/bin/sh include_docs=-Dgerrit.include-documentation=1 while [ $# -gt 0 ] do case "$1" in --no-documentation|--without-documentation) include_docs= shift ;; *) echo >&2 "usage: $0 [--without-documentation]" exit 1 esac done git update-index -q --refresh if test -n "$(git diff-index --name-only HEAD -...
Shell
#!/bin/sh # Update all pom.xml with new build number # # TODO(sop) This should be converted to some sort of # Java based Maven plugin so its fully portable. # POM_FILES=$(git ls-files | grep pom.xml) case "$1" in --snapshot=*) V=$(echo "$1" | perl -pe 's/^--snapshot=//') if [ -z "$V" ] then echo >&2 "usage: $0 ...
Shell
#!/bin/sh export JETTY_HOST=127.0.0.1 export JETTY_PORT=8081 export JETTY_USER=gerrit2 export JETTY_PID=/var/run/jetty$JETTY_PORT.pid export JETTY_HOME=/home/$JETTY_USER/jetty export JAVA_HOME=/usr/lib/jvm/java-6-sun-1.6.0.07/jre JAVA_OPTIONS="" JAVA_OPTIONS="$JAVA_OPTIONS -Djetty.host=$JETTY_HOST" export JAVA_OPTION...
Shell
#!/bin/sh # # Part of Gerrit Code Review (http://code.google.com/p/gerrit/) # # Copyright (C) 2009 The Android Open Source Project # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://w...
Shell
#!/bin/sh V=$(git describe HEAD) case "$V" in '') echo >&2 "fatal: no annotated tags, cannot determine version" exit 1 ;; *-g*) echo >&2 "fatal: snapshot $V, cannot determine version" exit 1 ;; v*) echo "$V" | perl -lne 'print $1 if /^v(\d+\.\d+(?:\.\d+)?)/' ;; esac
Shell
#!/bin/sh # # Launch Gerrit Code Review as a daemon process. # To get the service to restart correctly on reboot, uncomment below (3 lines): # ======================== # chkconfig: 3 99 99 # description: Gerrit Code Review # processname: gerrit # ======================== # Configuration files: # # /etc/default/gerrit...
Shell
#!/bin/sh echo "Starting..." #Stop on error. set -e #Output name. PKG_NAME=Graphviz #Sources and dependency names. ZIP=zip-3.0-11 GRAPHVIZ=graphviz-2.36.0-1 LCDT=libcdt5-2.36.0-1 LCGRAPH=libcgraph6-2.36.0-1 LEXPAT=libexpat1-2.1.0-3 LGD2=libgd2-2.0.36RC1-13 GLIB20=libglib2.0_0-2.36.4-4 LGTS=libgts0.7_5-20121130-1 LGV...
Shell
#!/bin/sh echo "Starting..." #Stop on error. set -e #Output name. PKG_NAME=Python #Sources and dependency names. ZIP=zip-3.0-11 PYTHON=python-2.7.3-1 PYTHON_VER=python2.7 CRYPT=crypt-1.2-1 LBZ2=libbz2_1-1.0.6-2 LDB=libdb4.5-4.5.20.2-3 LEXPAT=libexpat1-2.1.0-3 LFFI=libffi4-4.5.3-3 LGDBM=libgdbm4-1.8.3-20 LINTL=libint...
Shell
#!/bin/sh echo "Starting..." #Stop on error. set -e #Output name. PKG_NAME=Zip #Sources and dependency names. ZIP=zip-3.0-11 #Clean up. rm -rf .working_dir mkdir .working_dir cd .working_dir #Grab sources and dependencies. echo "Grabbing sources..." wget ftp://mirrors.kernel.org/sourceware/cygwin/x86/release/zip/$...
Shell
#!/bin/sh echo "Starting..." #Stop on error. set -e #Output name. PKG_NAME=NInvaders #Sources and dependency names. ZIP=zip-3.0-11 NINVADERS=ninvaders-0.1.1-2 NCURSES=libncurses10-5.7-18 #Clean up. rm -rf .working_dir mkdir .working_dir cd .working_dir #Grab sources and dependencies. echo "Grabbing sources..." wge...
Shell
#!/bin/sh echo "Starting..." #Stop on error. set -e #Output name. PKG_NAME=Mercurial #Sources and dependency names. ZIP=zip-3.0-11 HG=mercurial-2.7.1-1 #Clean up. rm -rf .working_dir mkdir .working_dir cd .working_dir #Grab sources and dependencies. echo "Grabbing sources..." wget ftp://mirrors.kernel.org/sourcewa...
Shell
#!/bin/sh echo "Starting..." #Stop on error. set -e #Output name. PKG_NAME=CGDB #Sources and dependency names. ZIP=zip-3.0-11 CGDB=cgdb-0.6.7 LNCURSES=libncurses9-5.7-16 LNCURSES_BIN=cygncurses-9.dll READLINE=libreadline7-6.1.2-3 READLINE_DEV=readline-6.1.2-3 READLINE_BIN=cygreadline7.dll #Clean up. rm -rf .working...
Shell
#!/bin/sh echo "Starting..." #Stop on error. set -e #Output name. PKG_NAME=Readline-devel #Sources and dependency names. ZIP=zip-3.0-11 READLINE_DEV=readline-6.1.2-3 #Clean up. rm -rf .working_dir mkdir .working_dir cd .working_dir #Grab sources and dependencies. echo "Grabbing sources..." wget ftp://mirrors.kerne...
Shell
#!/bin/sh echo "Starting..." #Stop on error. set -e #Output name. PKG_NAME=Lua #Sources and dependency names. ZIP=zip-3.0-11 LUA=lua-5.1.5-1 READLINE=libreadline7-6.1.2-3 #Clean up. rm -rf .working_dir mkdir .working_dir cd .working_dir #Grab sources and dependencies. echo "Grabbing sources..." wget ftp://mirrors....
Shell
#!/bin/sh echo "Starting..." #Stop on error. set -e #Output name. PKG_NAME=CMake #Sources and dependency names. ZIP=zip-3.0-11 CMAKE=cmake-2.8.9-2 CMAKE_VER=cmake-2.8.9 LIDN=libidn11-1.26-1 LNCURSES=libncurses10-5.7-18 LSTDCPP=libstdc++6-4.8.2-2 #Clean up. rm -rf .working_dir mkdir .working_dir cd .working_dir #Gr...
Shell
#!/bin/sh mv gnuplot_x11.c gnuplot_x11.c_x mv corplot.c corplot.c_pc mv winmain.c winmain.c_pc mv wintext.c wintext.c_pc mv winmenu.c winmenu.c_pc mv bf_test.c bf_test.c_b acc -knr -DSYSV -DUSG -DGAMMA=gamma -DHAVE_GETCWD -DX11 \ -DUNIXPLOT -I/usr/include/X11 -I/usr/include/X11/Xaw *.c \ -lbsd -lplot -lm -o gnuplot.int...
Shell
#!/bin/sh mv gnuplot_x11.c gnuplot_x11.c_x mv corplot.c corplot.c_pc mv winmain.c winmain.c_pc mv wintext.c wintext.c_pc mv winmenu.c winmenu.c_pc mv bf_test.c bf_test.c_b acc -knr -DSYSV -DUSG -DGAMMA=gamma -DHAVE_GETCWD -DX11 \ -DUNIXPLOT -I/usr/include/X11 -I/usr/include/X11/Xaw *.c \ -lbsd -lplot -lm -o gnuplot.int...
Shell
#! /bin/sh echo "/* This script-generated file contains the PostScript prologues" > output echo " * in a form suitable to inclusion in a C source code */" >> output echo "" >> output for i in `ls -1 *.ps | LC_ALL=C sort`; do echo $i > temp name=`sed -e 's/\.ps/_ps/g' -e 's/-/_/g' temp` rm temp echo "static const ...
Shell
#! /bin/sh echo "/* This script-generated file contains the PostScript prologues" > output echo " * in a form suitable to inclusion in a C source code */" >> output echo "" >> output for i in `ls -1 *.ps | LC_ALL=C sort`; do echo $i > temp name=`sed -e 's/\.ps/_ps/g' -e 's/-/_/g' temp` rm temp echo "static const ...
Shell
#!/usr/bin/env sh mkdir Feuilles echo "Répertoire Feuilles/ créé" mkdir XML echo "Répertoir XML/ créé" mkdir bin echo "Répertoire bin/ créé" mkdir bin/objects mkdir bin/moc chmod u=rwx Compile chmod u=rwx NouveauJoueur chmod u=rwx AjouterSorts chmod u=rwx EvolutionJoueur chmod u=rwx EcrireJoueur chmod u=rwx Ape...
Shell
#!/usr/bin/env sh VERBOSE=0 # Sert à vérifier le déroulement du script bin/NouveauJoueur.exe $* RESULTAT=$? if [ $VERBOSE -eq 1 ] then echo "status = "$RESULTAT fi if [ $RESULTAT -eq 0 ] then if [ $VERBOSE -eq 1 ] then echo $1 fi # Le programme s'est déroulé normalement sh tmp.sh elif [ ...
Shell
#!/usr/bin/env sh bin/AjouterSorts.exe RESULTAT=$? if [ $RESULTAT -eq 0 ] then echo "" echo "AJout terminé correctement" else echo "" echo "Problème d'exécution" fi
Shell
#!/usr/bin/env sh VERBOSE=0 # Sert à vérifier le déroulement du script bin/ApercuJoueur.exe RESULTAT=$? if [ $VERBOSE -eq 1 ] then echo "status = "$RESULTAT fi if [ $RESULTAT -eq 0 ] then # Le programme s'est déroulé normalement echo "" echo "Aperçu terminé correctement" else echo "Problème d'exécu...
Shell
#! /bin/sh make -f Makefile.noGUI $* #cd src/Base/ #mv ../../bin/objects/*.o . #mv ../../bin/*.exe . #make $* #mv *.o ../../bin/objects/ #mv *.exe ../../bin/
Shell
#!/usr/bin/env sh VERBOSE=1 # Sert à vérifier le déroulement du script bin/EcrireJoueur.exe $* RESULTAT=$? if [ $VERBOSE -eq 1 ] then echo "status = "$RESULTAT fi if [ $RESULTAT -eq 0 ] then # Le programme s'est déroulé normalement sh tmp.sh else echo "Problème d'exécution" fi rm -f tmp.sh
Shell
#!/usr/bin/env sh bin/EvolutionJoueur.exe $* RESULTAT=$? if [ $RESULTAT -eq 0 ] then echo "" echo "Evolution terminée correctement" else echo "" echo "Problème d'exécution" fi
Shell
#!/usr/bin/env sh mkdir Feuilles echo "Répertoire Feuilles/ créé" mkdir XML echo "Répertoir XML/ créé" mkdir bin echo "Répertoire bin/ créé" mkdir bin/objects mkdir bin/moc chmod u=rwx Compile chmod u=rwx NouveauJoueur chmod u=rwx AjouterSorts chmod u=rwx EvolutionJoueur chmod u=rwx EcrireJoueur chmod u=rwx Ape...
Shell
#!/bin/sh # # install - install a program, script, or datafile # # This originates from X11R5 (mit/util/scripts/install.sh), which was # later released in X11R6 (xc/config/util/install.sh) with the # following copyright and license. # # Copyright (C) 1994 X Consortium # # Permission is hereby granted, free of charge, t...
Shell
#!/usr/bin/env sh bin/EvolutionJoueur.exe $* RESULTAT=$? if [ $RESULTAT -eq 0 ] then echo "" echo "Evolution terminée correctement" else echo "" echo "Problème d'exécution" fi
Shell
#!/usr/bin/env sh bin/AjouterSorts.exe RESULTAT=$? if [ $RESULTAT -eq 0 ] then echo "" echo "AJout terminé correctement" else echo "" echo "Problème d'exécution" fi
Shell
#!/usr/bin/env sh VERBOSE=0 # Sert à vérifier le déroulement du script bin/ApercuJoueur.exe RESULTAT=$? if [ $VERBOSE -eq 1 ] then echo "status = "$RESULTAT fi if [ $RESULTAT -eq 0 ] then # Le programme s'est déroulé normalement echo "" echo "Aperçu terminé correctement" else echo "Problème d'exécu...
Shell
#!/bin/sh # # install - install a program, script, or datafile # # This originates from X11R5 (mit/util/scripts/install.sh), which was # later released in X11R6 (xc/config/util/install.sh) with the # following copyright and license. # # Copyright (C) 1994 X Consortium # # Permission is hereby granted, free of charge, t...
Shell
#!/usr/bin/env sh VERBOSE=0 # Sert à vérifier le déroulement du script bin/NouveauJoueur.exe $* RESULTAT=$? if [ $VERBOSE -eq 1 ] then echo "status = "$RESULTAT fi if [ $RESULTAT -eq 0 ] then if [ $VERBOSE -eq 1 ] then echo $1 fi # Le programme s'est déroulé normalement sh tmp.sh elif [ ...
Shell